Subject: bug#7053: [AUCTeX-devel] Re: bug#7053: Reftex is fully broken

From: Andreas Röhler <[email-masked]>
Date: Sun, 19 Sep 2010 10:48:40 +0200

Am 18.09.2010 18:11, schrieb Stefan Monnier:
>> Since I've never gotten commit access to the Emacs repository I haven't
>
> That should be easy to fix.  Get a Savannah account, and from there, ask
> for membership to the Emacs group.
>
>> bothered to follow the switch to Bazaar.  It might take a while to make
>> myself acquainted with it.  And unfortunately I failed to find a web
>> interface to the current Emacs sources in order to find out if somebody
>> has changed the RefTeX files, or in which way.
>
> I suspect the change is not in the reftex file but in the behavior of
> up-list which now obeys forward-sexp-function,

if thats a case, a lot of code will be broken.
Suggest to revert this change.

Both forms differ considerable from the users view BTW.
While the list handling code is easy to grasp and looks well defined,
the sexp-grammar with its "balanced expression" even after years sounds 
arcane for me.

forward-list etc. also have been reliable to deal with in coding,
sexp... not that much

Please keep the lisp-list-functions.

Thanks

Andreas

  which means that under
> latex-mode, it will now move from
>
>    \begin{foo}
>       >here<
>    \end{foo}
>
> to just before the \begin.  So if the reftex code does not expect that
> (and/or for performance reason doesn't want that), it should protect
> against it by binding forward-sexp-function around calls to up-list
> and friends.
>
>
>          Stefan
>
>
>
>